API
GET /v1/bluejay-as-code/{root_type}/{root_id}
Export your setup as YAML.
GET /v1/bluejay-as-code/{root_type}/{root_id}
Exports a bundle with these lists:
agentssimulationsdigital_humanscustom_metrics
bluejay_as_code_id.
Supported values for root_type include:
simulationagentdigital-humancustom-metric
root_id is the Bluejay ID or the bluejay_as_code_id of the root.
Commit the bluejay_as_code_id values to your config. Do not create new values for each push.
The response is YAML. To get JSON until it is deprecated, add the query parameter format=json or send the header Accept: application/json.
Path parameters
Query parameters
Headers
Response
Status codes
Example request
Example response
200
Last modified on October 29, 2026